GDCM: gdcm::ModalityPerformedProcedureStepSetQuery Class Reference

GDCM 3.2.10

Public Member Functions | Friends | List of all members
gdcm::ModalityPerformedProcedureStepSetQuery Class Reference

ModalityPerformedProcedureStepSetQuery. More...

`#include <gdcmModalityPerformedProcedureStepSetQuery.h>`

Inheritance diagram for gdcm::ModalityPerformedProcedureStepSetQuery:
[legend]
Collaboration diagram for gdcm::ModalityPerformedProcedureStepSetQuery:
[legend]

## Public Member Functions
| ModalityPerformedProcedureStepSetQuery (const std::string &iSopInstanceUID)
UIDs::TSName | GetAbstractSyntaxUID () const override
gdcm::DataSet | GetRequiredDataSet () const
bool | ValidateQuery (bool inStrict=true) const override
Public Member Functions inherited from gdcm::BaseQuery
| ~BaseQuery () override
void | AddQueryDataSet (const DataSet &ds)
DataSet & | GetQueryDataSet ()
DataSet const & | GetQueryDataSet () const
| Set/Get the internal representation of the query as a DataSet.
std::string | GetSOPInstanceUID () const
void | Print (std::ostream &os) const override
void | SetSearchParameter (const std::string &inKeyword, const std::string &inValue)
void | SetSearchParameter (const Tag &inTag, const std::string &inValue)
void | SetSOPInstanceUID (const std::string &iSopInstanceUID)
const std::ostream & | WriteHelpFile (std::ostream &os)
bool | WriteQuery (const std::string &inFileName)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Friends
class | QueryFactory

## Additional Inherited Members
Protected Member Functions inherited from gdcm::BaseQuery
| BaseQuery ()
void | SetSearchParameter (const Tag &inTag, const DictEntry &inDictEntry, const std::string &inValue)
bool | ValidDataSet (const DataSet &dataSetToValid, const DataSet &dataSetReference) const
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()
Protected Attributes inherited from gdcm::BaseQuery
DataSet | mDataSet
std::string | mSopInstanceUID

## Detailed Description

ModalityPerformedProcedureStepSetQuery.

contains: the class which will produce a dataset for n-set for Modality Performed Procedure Step sop class

## Constructor & Destructor Documentation

## ◆ ModalityPerformedProcedureStepSetQuery()

gdcm::ModalityPerformedProcedureStepSetQuery::ModalityPerformedProcedureStepSetQuery | ( | const std::string & | iSopInstanceUID | ) |

## Member Function Documentation

## ◆ GetAbstractSyntaxUID()

UIDs::TSName gdcm::ModalityPerformedProcedureStepSetQuery::GetAbstractSyntaxUID | ( |  | ) | const
| overridevirtual

Implements gdcm::BaseQuery.

## ◆ GetRequiredDataSet()

gdcm::DataSet gdcm::ModalityPerformedProcedureStepSetQuery::GetRequiredDataSet | ( |  | ) | const

## ◆ ValidateQuery()

bool gdcm::ModalityPerformedProcedureStepSetQuery::ValidateQuery | ( | bool | inStrict = true | ) | const
| overridevirtual

Implements gdcm::BaseQuery.

## Friends And Related Symbol Documentation

## ◆ QueryFactory

friend class QueryFactory
| friend

References QueryFactory.

Referenced by QueryFactory.

The documentation for this class was generated from the following file:

- gdcmModalityPerformedProcedureStepSetQuery.h